<div class="documentation-content-container">
  <section class="mat-typography">
    <h2>Panel Selection</h2>
    <p>
      Select features based on the wrapper output for a final classification
      run.
    </p>
    <p>
      <b>Feature Profiles</b> are the output profiles of the wrapper. Select one
      panel and click <b>apply molecule panel to selection </b> to select the
      molecules of the corresponding panel.
    </p>
    <p>
      Click <b> submit molecules and retrieve results</b> to start the final
      classification run.
    </p>
  </section>

  <!-- panel select -->
  <div class="outer-form-container">
    <div class="inner-form-container overflow-x-hidden">
      <mat-form-field appearance="outline">
        <mat-label>profile selection</mat-label>
        <mat-select [formControl]="profileSelection">
          <mat-option
            *ngFor="let option of listOfFeatureProfiles"
            [value]="option"
          >
            {{ option.profileID }} (picks: {{ option.picks }})
          </mat-option>
        </mat-select>
      </mat-form-field>

      <button
        [disabled]="formDisabledSubject$ | async"
        mat-flat-button
        (click)="applyFeatureProfile()"
        color="accent"
      >
        apply molecule profile to selection
      </button>

      <div class="my-4">
        <mat-divider></mat-divider>
      </div>

      <mat-form-field appearance="outline">
        <mat-label>Filter</mat-label>
        <input
          matInput
          (keyup)="applyFilter($event)"
          placeholder="find feature"
          #input
          [disabled]="formDisabledSubject$ | async"
        />
      </mat-form-field>

      <!-- table with features -->
      <div class="feature-table">
        <table
          mat-table
          matSort
          [dataSource]="dataSource"
          matSortActive="picks"
          matSortDirection="desc"
        >
          <ng-container matColumnDef="select">
            <th mat-header-cell *matHeaderCellDef>
              <mat-checkbox
                [disabled]="formDisabledSubject$ | async"
                (change)="$event ? toggleAllRows() : null"
                [checked]="selection.hasValue() && isAllSelected()"
                [indeterminate]="selection.hasValue() && !isAllSelected()"
              >
              </mat-checkbox>
            </th>
            <td mat-cell *matCellDef="let row">
              <mat-checkbox
                (click)="$event.stopPropagation()"
                (change)="$event ? selection.toggle(row.featureID) : null"
                [checked]="selection.isSelected(row.featureID)"
                [disabled]="formDisabledSubject$ | async"
              >
              </mat-checkbox>
            </td>
          </ng-container>

          <ng-container matColumnDef="featureID">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>
              feature id
            </th>
            <td mat-cell *matCellDef="let feature">
              {{ feature.featureID }}
            </td>
          </ng-container>

          <ng-container matColumnDef="picks">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>picks</th>
            <td mat-cell *matCellDef="let feature">
              {{ feature.picks }}
            </td>
          </ng-container>

          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns; sticky: true"
          ></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns"
            (click)="selection.toggle(row.featureID)"
          ></tr>

          <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="2">
              No data matching the filter "{{ input.value }}"
            </td>
          </tr>
        </table>
      </div>
    </div>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>

    <div class="my-4">
      <mat-divider></mat-divider>
    </div>

    <button
      [disabled]="!selection.hasValue() || (formDisabledSubject$ | async)"
      mat-flat-button
      (click)="generateResults()"
      color="accent"
    >
      submit molecules and retrieve results
    </button>
  </div>
</div>
